petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscIsInfOrNanReal

Returns an error code if the input double has an infinity for Not-a-number (Nan) value, otherwise 0.

### Synopsis

    #if defined(PETSC_USE_REAL___FLOAT128)
    PetscErrorCode PetscIsInfOrNanReal(PetscReal a)

### Input Parameter

a -the floating point number Many br

Notes: uses the C99 standard isinf() and isnan() on systems where they exist. Many brOtherwises uses ((a - a) != 0.0), note that some optimizing compiles compile Many brout this form, thus removing the check. Many br

Many br

Level:beginner
Location:src/sys/utils/mathinf.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages